org.apache.cassandra.cql3.selection

## Class Selection.ResultSetBuilder

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selection.ResultSetBuilder

- Enclosing class:
    Selection

      public class Selection.ResultSetBuilder
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.nio.ByteBuffer v)`
    `void` | `add(Cell c, int nowInSec)`
    `ResultSet` | `build()` Builds the `ResultSet`
    `void` | `newRow(DecoratedKey partitionKey, Clustering clustering)` Notifies this `Builder` that a new row is being processed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          public void add(java.nio.ByteBuffer v)

    - #### add

          public void add(Cell c,
                          int nowInSec)

    - #### newRow

          public void newRow(DecoratedKey partitionKey,
                             Clustering clustering)

      Notifies this `Builder` that a new row is being processed.
      Parameters:
        `partitionKey` - the partition key of the new row
        `clustering` - the clustering of the new row

    - #### build

          public ResultSet build()

      Builds the `ResultSet`

Copyright © 2018 The Apache Software Foundation